aboutsummaryrefslogtreecommitdiff
path: root/src/test/test-network.sh
diff options
context:
space:
mode:
authorteor <teor2345@gmail.com>2014-10-05 09:59:27 +1100
committerteor <teor2345@gmail.com>2014-10-05 09:59:27 +1100
commitc0794d22a2fc25c8764615428f08dc0efb4df2bd (patch)
tree2ab77c33997daa8098e2f231bead4098e0ea828e /src/test/test-network.sh
parent9a2d4b66479695da0a26a7168d6ddcfd6838151f (diff)
downloadtor-c0794d22a2fc25c8764615428f08dc0efb4df2bd.tar.gz
tor-c0794d22a2fc25c8764615428f08dc0efb4df2bd.zip
Exit test-network with status of chutney verify
Preserve previous semantics of src/test/test-network.sh by exiting with the exit status of chutney verify, even though the latest version ends with chutney stop.
Diffstat (limited to 'src/test/test-network.sh')
-rwxr-xr-xsrc/test/test-network.sh2
1 files changed, 2 insertions, 0 deletions
diff --git a/src/test/test-network.sh b/src/test/test-network.sh
index d7fdb3533b..fb33842f32 100755
--- a/src/test/test-network.sh
+++ b/src/test/test-network.sh
@@ -45,6 +45,8 @@ n=$BOOTSTRAP_TIME; while [ $n -gt 0 ]; do
sleep 1; n=$(expr $n - 1); echo -n .
done; echo ""
./chutney verify $CHUTNEY_NETWORK
+VERIFY_EXIT_STATUS=$?
# work around a bug/feature in make -j2 (or more)
# where make hangs if any child processes are still alive
./chutney stop $CHUTNEY_NETWORK
+exit $VERIFY_EXIT_STATUS